Page MenuHomePhabricator

Loading of Special:MovePage is slow when the page contains many subpages
Closed, ResolvedPublic

Description

Loading Special:MovePage on a page with many subpages loads names of all subpages, which may be slow. Not all subpages should be shown; probably we can only display only first $wgMaximumMovedPages subpages.
Example: https://meta.wikimedia.org/wiki/Special:MovePage/User:COIBot/XWiki

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2016, 6:12 PM
Danny_B renamed this task from Do not show the whole list of subpages when moving a page to Loading of Special:MovePage is slow when the page conatins many subpages.EditedJul 21 2016, 6:36 PM
Danny_B triaged this task as Low priority.
Danny_B edited projects, added MediaWiki-Special-pages; removed MediaWiki-General.
Danny_B added a subscriber: Danny_B.

I guess this is very atypical extreme. Average page does not have even 1/100 of subpages like this one has...

Nemo_bis renamed this task from Loading of Special:MovePage is slow when the page conatins many subpages to Loading of Special:MovePage is slow when the page contains many subpages.Jul 24 2016, 8:11 PM

Change 304690 had a related patch set uploaded (by Glaisher):
Special:MovePage: Use LinkBatch when constructing subpages

https://gerrit.wikimedia.org/r/304690

Umherirrender closed this task as Resolved.Sep 2 2016, 12:09 PM
Umherirrender assigned this task to Glaisher.

Change 304690 merged by jenkins-bot:
Special:MovePage: Use LinkBatch when constructing subpages

https://gerrit.wikimedia.org/r/304690